# Liste des erreurs

Les erreurs générées lors d’un contrôle sont classées par type. On distingue les erreurs relatives :

*   aux entités,
*   à la géométrie,
*   aux jeux de données,
*   aux types d’entité.

Le tableau ci-dessous liste l’ensemble des erreurs retournées par Qualigéo :

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-wq4c{border-color:#d6d6d6;color:#923288;text-align:left;vertical-align:top}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-br67{background-color:#eae8e8;border-color:#d6d6d6;color:#923288;text-align:left;vertical-align:top}
</style>
<table class="tg">
  <tr>
    <th class="tg-0pn5">Code derreur</th>
    <th class="tg-0pn5">Classe derreur</th>
    <th class="tg-0pn5">Type derreur</th>
    <th class="tg-0pn5">Détail</th>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie"&gt;E0002&lt;/a&gt;</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non conforme (interprétation de la géométrie).</td>
    <td class="tg-avj4"><br>Vérifie les coordonnées des géométries et leur interprétation.<br>&lt;a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes d’inteprétation et de type de géométrie.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis"&gt;E0003&lt;/a&gt;<br></td>
    <td class="tg-o6tx">Type d'entité</td>
    <td class="tg-o6tx">Attribut non autorisé.</td>
    <td class="tg-o6tx">Vérifie la présence des attributs et détecte la présence d’attribut en trop.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis"&gt;E0004&lt;/a&gt;</td>
    <td class="tg-avj4">Type d'entité</td>
    <td class="tg-avj4">Attribut obligatoire absent.</td>
    <td class="tg-avj4">Vérifie la présence des attributs et détecte l’absence d’attribut.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence"&gt;E0005&lt;/a&gt;<br></td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité obligatoire absent.</td>
    <td class="tg-o6tx">Vérifie la présence/absence de type d’entité.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#longueur-dattribut/01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#longueur-dattribut"&gt;E0007&lt;/a&gt;</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Taille de l'attribut trop grande.</td>
    <td class="tg-avj4">Vérifie la longueur des attributs.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.03.DefinitionContraintesUnicite.html"&gt;E0008&lt;/a&gt;</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte d'unicité.</td>
    <td class="tg-o6tx">Une contrainte d’unicité garantit l’unicité de données contenues dans un attribut. Elle exige que toutes les valeurs d’un attribut soient uniques.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-obligatoire"&gt;E0009&lt;/a&gt;<br></td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de contrainte de non nullité.</td>
    <td class="tg-avj4">Vérifie la nullité d’attribut.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#domaine-de-valeurs"&gt;E0010&lt;/a&gt;<br></td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors domaine.</td>
    <td class="tg-o6tx">Vérifie si les valeurs d’attributs sont dans une plage définie.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html"&gt;E0011&lt;/a&gt;<br></td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de relation spatiale.</td>
    <td class="tg-avj4"><br>Vérifie les relations spatiales entre deux types d’entité.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html"&gt;&lt;span style="font-size: 8pt;"&gt;En savoir plus sur les &lt;/span&gt;&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html" style="font-size: 8pt;"&gt;contraintes de relations spatiales.&lt;/a&gt;&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere"&gt;E0012&lt;/a&gt;<br></td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors expression régulière.</td>
    <td class="tg-o6tx"><br>Vérifie la valeur d’attribut.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes définies pas expressions régulières.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique"&gt;E0014&lt;/a&gt;<br></td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de tesselation : chevauchement.</td>
    <td class="tg-avj4"><br>Vérifie la topologie entre entités.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes topologique (tesselation).&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique"&gt;E0015&lt;/a&gt;<br></td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Violation de la contrainte de tesselation : espace.</td>
    <td class="tg-o6tx"><br>Vérifie la topologie entre entités.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes topologique (tesselation).&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">E0017</td>
    <td class="tg-avj4">Jeu de données</td>
    <td class="tg-avj4">Nombre d'erreurs maximum dépassé.</td>
    <td class="tg-avj4">Stoppe le traitement de contrôle si le nombre d'erreurs dépasse la valeur maximale.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html"&gt;E0030&lt;/a&gt;</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Enfant avec trop de parents.</td>
    <td class="tg-o6tx"><br>Vérifie les cardinalités entre types d’entité enfant et parents.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes de cardinalités.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html"&gt;E0031&lt;/a&gt;</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Enfant sans parent.</td>
    <td class="tg-avj4"><br>Vérifie les cardinalités entre types d’entité enfant et parents.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes de cardinalités.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html"&gt;E0032&lt;/a&gt;</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Parent avec trop d'enfants.</td>
    <td class="tg-o6tx"><br>Vérifie les cardinalités entre types d’entité enfant et parents.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes de cardinalités.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html"&gt;E0033&lt;/a&gt;<br></td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Parent sans enfant.</td>
    <td class="tg-avj4"><br>Vérifie les cardinalités entre types d’entité enfant et parents.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes de cardinalités.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date"&gt;E0034&lt;/a&gt;</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Date non conforme.</td>
    <td class="tg-o6tx"><br>Vérifie le formalisme des champs de type Date.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date" style="font-size: 8pt;"&gt;En savoir plus sur les formats de date.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre"&gt;E0035&lt;/a&gt;</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Non respect de la contrainte sur l'entité.</td>
    <td class="tg-avj4"><br>Appelle une fonction spécifique spécifiée par le Designer et retourne une erreur spécifique. <br><br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre" style="font-size: 8pt;"&gt;En savoir plus sur les langages de définition de contraintes spécifiques.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#restreindre-a-un-systeme-de-coordonnees-de-reference"&gt;E0036&lt;/a&gt;</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Non respect du domaine spatial. Système de coordonnées différent du système de référence.</td>
    <td class="tg-o6tx">Vérifie le système de coordonnées d’un jeu de données.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#restreindre-a-un-systeme-de-coordonnees-de-reference"&gt;E0037&lt;/a&gt;</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Non respect du domaine spatial. Données en dehors des bornes.</td>
    <td class="tg-avj4">Vérifie l’étendue d’un jeu de données.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html"&gt;E0038&lt;/a&gt;<br></td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Géométrie non conforme (type de géométrie).</td>
    <td class="tg-o6tx"><br>Vérifie les coordonnées des géométries et leur interprétation.<br>&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes d’interprétation et de type de géométrie.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-numerique-min-et-max"&gt;E0039&lt;/a&gt;</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut inférieure au minimum.</td>
    <td class="tg-avj4">Vérifie si les valeurs numériques d’attributs sont dans une plage définie.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-numerique-min-et-max"&gt;E0040&lt;/a&gt;</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut supérieure au maximum.</td>
    <td class="tg-o6tx">Vérifie si les valeurs numériques d’attributs sont dans une plage définie.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">E0041</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Relation spatiale impossible, géométrie non conforme.</td>
    <td class="tg-avj4">Vérifie la validité des géométries avant le contrôle des relations spatiales.</td>
  </tr>
  <tr>
    <td class="tg-br67">E0042</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Problème de relation spatiale, géométrie de l'entité liée non conforme.</td>
    <td class="tg-o6tx">Vérifie la validité des géométries avant le contrôle des relations spatiales.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#type-dattributs"&gt;E0043&lt;/a&gt;</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Type d'attribut non conforme.</td>
    <td class="tg-avj4">Vérifie le type des attributs (alphanumérique, entier, numérique).</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis"&gt;E0044&lt;/a&gt;</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité non défini.</td>
    <td class="tg-o6tx">Vérifie la présence /absence des types d’entité.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre"&gt;E0045&lt;/a&gt;</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte Python sur l'entité.</td>
    <td class="tg-avj4">Appelle une fonction spécifique sur une entité, créée par le Designer et retourne une erreur spécifique.<br></td>
  </tr>
  <tr>
    <td class="tg-br67">E0046</td>
    <td class="tg-o6tx">Code</td>
    <td class="tg-o6tx">Erreur de codage de la contrainte Python sur l'entité.</td>
    <td class="tg-o6tx">Erreur de codage Python par le Designer.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#contraintes-specifiques-sur-lattribut"&gt;E0047 &lt;/a&gt;<br></td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut hors expression régulière décrite par code python.</td>
    <td class="tg-avj4">Appelle une fonction spécifique sur un attribut, créée par le Designer et retourne une erreur spécifique.<br></td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/07.DefinitionContraintesCode.html#edition-de-codes-tcl-et-python"&gt;E0048&lt;/a&gt;</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Violation de la contrainte spécifique (Python) sur le jeu de données.</td>
    <td class="tg-o6tx">Appelle une fonction spécifique sur un jeu de données, créée par le Designer et retourne une erreur spécifique.<br></td>
  </tr>
  <tr>
    <td class="tg-wq4c">E0049</td>
    <td class="tg-avj4">Code</td>
    <td class="tg-avj4">Erreur de codage de la contrainte Python sur l'attribut.</td>
    <td class="tg-avj4">Erreur de codage Python par le Designer.</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html"&gt;E0050&lt;/a&gt;</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction stricte - segment.</td>
    <td class="tg-o6tx"><br>Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence.<br>&lt;a href="../04-ContraintesRessources/03.03.ContraintesConstruction" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes de construction.&lt;/a&gt;</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html"&gt;E0051&lt;/a&gt;</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction stricte - vertex.</td>
    <td class="tg-avj4">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction</td>
  </tr>
  <tr>
    <td class="tg-br67">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html"&gt;E0052&lt;/a&gt;</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction permissive - segment.</td>
    <td class="tg-o6tx">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction</td>
  </tr>
  <tr>
    <td class="tg-wq4c">&lt;a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html"&gt;E0054&lt;/a&gt;</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction permissive - polygone.</td>
    <td class="tg-avj4">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction</td>
  </tr>
  <tr>
    <td class="tg-br67">E0055</td>
    <td class="tg-o6tx">Format Personnalisé</td>
    <td class="tg-o6tx">Erreur définie et testée dans le format personnalisé.</td>
    <td class="tg-o6tx">Vérifie une contrainte définie via un format personnalisé importé dans Qualigéo.</td>
  </tr>
  <tr>
    <td class="tg-wq4c">E0057</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non valide.</td>
    <td class="tg-avj4">Vérifie la géométrie d’entités avec utilisation possible des normes définies par l’OGC.<br></td>
  </tr>
</table>